Show / Hide Table of Contents

# Class OpenIddictServerAspNetCoreHandlers.Authentication.RestoreCachedRequestParameters

Contains the logic responsible of restoring cached requests from the request_id, if specified. Note: this handler is not used when the OpenID Connect request is not initially handled by ASP.NET Core.

##### Inheritance

System.Object
OpenIddictServerAspNetCoreHandlers.Authentication.RestoreCachedRequestParameters

##### Implements

IOpenIddictServerHandler<ExtractAuthorizationRequestContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server.AspNetCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class RestoreCachedRequestParameters : IOpenIddictServerHandler<ExtractAuthorizationRequestContext>

### Constructors

#### RestoreCachedRequestParameters()

##### Declaration

    public RestoreCachedRequestParameters()

#### RestoreCachedRequestParameters(IDistributedCache)

##### Declaration

    public RestoreCachedRequestParameters(IDistributedCache cache)

##### Parameters

Type | Name | Description
--- | --- | ---
IDistributedCache | cache |

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

### Methods

#### HandleAsync(ExtractAuthorizationRequestContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(ExtractAuthorizationRequestContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
ExtractAuthorizationRequestContext | context |

##### Returns

Type | Description
--- | ---
ValueTask | A that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictServerHandler<TContext>